{% extends 'base.html.twig' %}

{% block title %}
	{{ parent() }}Home
{% endblock %}

{% block body %}
	<!-- Slider -->
	<div id="carouselExampleSlidesOnly" class="carousel slide carousel-fade" data-ride="carousel">
		<div class="carousel-inner">
			<div class="carousel-item active">
				<img src="{{ asset('img/slider/slider01.jpg') }}" class="d-block w-100" alt="...">
			</div>
			<div class="carousel-item">
				<img src="{{ asset('img/slider/slider02.jpg') }}" class="d-block w-100" alt="...">
			</div>
			<div class="carousel-item">
				<img src="{{ asset('img/slider/slider03.jpg') }}" class="d-block w-100" alt="...">
			</div>
		</div>
	</div>
	<!-- End Slider -->

	<!-- Latest courses -->
	<main class="container">
		<section>
			<h2 class="my-5">Nos dernières formations</h2>
			<div class="row">
				{% for course in courses|slice(0, 3) %}
				{% if course.isPublished == true %}

					<div class="col-md-4">
						<div class="card">
							<img alt="" src="{{ asset ('img/section/') ~ course.image }}" style="height: 200px; width: 100%">
							<div class="card-body cours-actu">
								<h5 class="card-title"></h5>
								<p class="card-text card-text-home">{{ course.smallDescription }}</p>
								<a href="{{ path ('onepost', {id:course.id, slug:course.slug}) }}" class="btn btn-primary btn-card">Voir plus...</a>
							</div>
						</div>
					</div>
					{% endif %}
				{% endfor %}
			</div>
		</section>
		<!-- End Latest courses -->

		<!-- Latest news -->
		<div class="section">
			<h2 class="my-5">Nos dernières actualités</h2>
			<div class="row">
			
				{% for advert in adverts|sort((a, b) => b.createdAt <=> a.createdAt)|slice(0, 4) %}
					{% if advert.isPublished == true %}
					
						<div class="col-md-6">
							<div class="media my-3 shadow-sm p-3 mb-5 bg-white rounded">
								<img class="imgAdvert" alt="Advert" src="{{ asset ('img/actu/') ~ advert.image }}">
								<div class="media-body body-actu">
									<h5 class="mt-0">{{ advert.name }} - {{advert.createdAt|date('d/m/Y')}}</h5>
									<p>{{ advert.content }}</p>
									<a href="{{ path ('advertdetails', {id:advert.id}) }}" class="float-right">Lire plus...</a>
								</div>
							</div>
						</div>
					{% endif %}
				{% endfor %}	
				
			</div>
			<a class="btn btn-primary" href="{{ path ('advert') }}">Toutes les actus</a>
		</div>
		<!-- End Latest news -->

		<!-- Cool Links -->
		<section>
			<h2 class="my-5">Informations importantes</h2>
			<div class="row">
				<div class="col-md-4">
					<div class="card border-dark text-dark mb-3">
						<div class="card-header text-center text-primary">HORAIRES</div>
						<div class="card-body">
							<h4 class="card-title">Horaires de 2019-2020</h4>
							<p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						</div>
					</div>
				</div>

				<div class="col-md-4">
					<div class="card border-dark text-dark mb-3">
						<div class="card-header text-center text-primary">INFORMATIONS</div>
						<div class="card-body">
							<h4 class="card-title">Scéance d'informations</h4>
							<p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						</div>
					</div>
				</div>

				<div class="col-md-4">
					<div class="card border-dark text-dark mb-3">
						<div class="card-header text-center text-primary">INSCRIPTION</div>
						<div class="card-body">
							<h4 class="card-title">Documents d'inscription</h4>
							<p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						</div>
					</div>
				</div>
			</div>
		</section>
		<!-- End Cool Links -->
	</main>

{% endblock %}
